package com.lightinit.hsdatashow.impl.admin;

import com.lightinit.hsdatashow.mapper.NoiseRegionMapper;
import com.lightinit.hsdatashow.mapper.NoiseTrafficMapper;
import com.lightinit.hsdatashow.service.admin.INoiseService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.math.BigDecimal;

@Service
public class NoiseServiceImpl implements INoiseService {

    @Autowired
    private NoiseRegionMapper noiseRegionMapper ;

    @Autowired
    private NoiseTrafficMapper noiseTrafficMapper ;

    @Override
    public BigDecimal getNoiseRegion() {
        return noiseRegionMapper.getNoiseRegion() ;
    }

    @Override
    public BigDecimal getNoiseTraffic() {
        return noiseTrafficMapper.getNoiseTraffic();
    }
}
